Add "random" card to home screen
Closed, ResolvedPublic2 Story Points

Description

Need to restore this to the home screen.

We could have some fun here with the display. Something with rotating images like a slot machine could be cool.

We need to start adding more "playful elements to the UI, so this could be a great place to start.

  • ooOo 100th mockup on phab!

    Acceptance Criteria
    Random Article View

    Fjalapeno updated the task description. (Show Details)
    Fjalapeno raised the priority of this task from to Needs Triage.
    Fjalapeno moved this task to Needs Design on the Wikipedia-iOS-App-Backlog board.
    Fjalapeno added a subscriber: Fjalapeno.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 1:06 AM
    JMinor triaged this task as High priority.Sep 28 2015, 9:40 PM
    JMinor added a project: iOS-app-v5-alpha.
    JMinor set Security to None.
    JMinor added a subscriber: Nirzar.
    JMinor added a subscriber: JMinor.Sep 28 2015, 9:42 PM

    I bumped this to an alpha requirement with high priority. The reasoning is that I've heard from multiple people that this is a qualitatively "beloved" feature, and even an internal release without basic random article support will be met with "where's random?". Also would like to see how user testing looks if this is a refreshable card in the feed.

    JMinor added a comment.Oct 9 2015, 6:17 PM

    Any update here?

    Nirzar updated the task description. (Show Details)

    Added the mocks with basic interaction. the fancy dice indicator coming soon. i will create another task for that.
    assets attached in

  • JMinor updated the task description. (Show Details)Oct 27 2015, 6:07 PM

    @Fjalapeno hey, the current implementation doesn't have any loading indicator as shown in the pholio. and the tap highlight for the "reload" button.

    @Nirzar was there final asset for the loading indictor? Did you want to do the animated dice, or just spin the circular arrows in place?

    @JMinor i think i am putting that work in the bucket of "bells and whistles" let's go with UI activity indicator for now. as shown in the mock.

    @Fjalapeno any update on this? we can do away with smallest indicator anywhere possible. just need some feedback that the button is tapped. specially on slow connections.

    BGerstle-WMF removed Fjalapeno as the assignee of this task.Dec 1 2015, 9:29 PM
    JMinor added a comment.EditedDec 1 2015, 10:57 PM

    Per our meeting here is the desired reloading experience:

    1. User taps the reload button
    2. Random card content area (not the header) should have a standard iOS blur applied
    3. The iOS activity indicator should be displayed centered over the blurred area
    4. A new random item should load
    5. The activity indicator should stop and disappear
    6. The card should unblur with the new article loaded
    Mhurd claimed this task.

    Added loading indicator and blur to random card when refreshing it:
    https://github.com/wikimedia/wikipedia-ios/pull/300

    Checked with 5.0.0.538 on iPad mini iOS 8.2

    Notes:

    • all functionality is in place: opening, saving from via 'Save for later'
    • the order of sections on Explore page:

    "Because you read..."
    "Featured article..."
    "Today on Wikipedia"-Main Page
    "Picture of the day for ..."
    "Random"
    "Nearby"
    "Because you read..."

    • the loading indicator is visible
    • when a Random article has a lead image, the lead image is displayed as a placeholder while loading
    • occasionally a disambiguation page is still displayed,but according to the spec

    it should not be a disambiguation page (at least 95% of the time*)

    The latest occurrence of a disambiguation page

    JMinor closed this task as Resolved.Dec 15 2015, 10:59 PM